//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for HigherTaxonRankEnum.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="HigherTaxonRankEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="regnum"/&gt;
 *     &lt;enumeration value="subregnum"/&gt;
 *     &lt;enumeration value="superphylum"/&gt;
 *     &lt;enumeration value="phylum"/&gt;
 *     &lt;enumeration value="subphylum"/&gt;
 *     &lt;enumeration value="superclassis"/&gt;
 *     &lt;enumeration value="classis"/&gt;
 *     &lt;enumeration value="subclassis"/&gt;
 *     &lt;enumeration value="supercohors"/&gt;
 *     &lt;enumeration value="cohors"/&gt;
 *     &lt;enumeration value="subcohors"/&gt;
 *     &lt;enumeration value="superordo"/&gt;
 *     &lt;enumeration value="ordo"/&gt;
 *     &lt;enumeration value="subordo"/&gt;
 *     &lt;enumeration value="superfamilia"/&gt;
 *     &lt;enumeration value="familia"/&gt;
 *     &lt;enumeration value="subfamilia"/&gt;
 *     &lt;enumeration value="tribus"/&gt;
 *     &lt;enumeration value="genusgroup"/&gt;
 *     &lt;enumeration value="unranked"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "HigherTaxonRankEnum")
@XmlEnum
public enum HigherTaxonRankEnum {


    /**
     * Higher Taxon Rank for the kingdom (lat. regnum).
     * 
     */
    @XmlEnumValue("regnum")
    REGNUM("regnum"),

    /**
     * Higher Taxon Rank for the subkingdom (lat. subregnum).
     * 
     */
    @XmlEnumValue("subregnum")
    SUBREGNUM("subregnum"),

    /**
     * Higher Taxon Rank for the superphylum (or Superdivision in Botany).
     * 
     */
    @XmlEnumValue("superphylum")
    SUPERPHYLUM("superphylum"),

    /**
     * Higher Taxon Rank for the Phylum (or Division in Botany).
     * 
     */
    @XmlEnumValue("phylum")
    PHYLUM("phylum"),

    /**
     * Higher Taxon Rank for the subphylum (or Subdivision in Botany).
     * 
     */
    @XmlEnumValue("subphylum")
    SUBPHYLUM("subphylum"),

    /**
     * Higher Taxon Rank for the superclass (lat. superclassis).
     * 
     */
    @XmlEnumValue("superclassis")
    SUPERCLASSIS("superclassis"),

    /**
     * Higher Taxon Rank for the class (lat. classis).
     * 
     */
    @XmlEnumValue("classis")
    CLASSIS("classis"),

    /**
     * Higher Taxon Rank for the subclass (lat. subclassis).
     * 
     */
    @XmlEnumValue("subclassis")
    SUBCLASSIS("subclassis"),

    /**
     * Higher Taxon Rank for the supercohort (lat. supercohors).
     * 
     */
    @XmlEnumValue("supercohors")
    SUPERCOHORS("supercohors"),

    /**
     * Higher Taxon Rank for the outdated rank of cohort (lat. cohors).
     * 
     */
    @XmlEnumValue("cohors")
    COHORS("cohors"),

    /**
     * Higher Taxon Rank for the subcohort (lat. subcohors).
     * 
     */
    @XmlEnumValue("subcohors")
    SUBCOHORS("subcohors"),

    /**
     * Higher Taxon Rank for the superorder (lat. superordo).
     * 
     */
    @XmlEnumValue("superordo")
    SUPERORDO("superordo"),

    /**
     * Higher Taxon Rank for the order (lat. ordo).
     * 
     */
    @XmlEnumValue("ordo")
    ORDO("ordo"),

    /**
     * Higher Taxon Rank for the suborder (lat. subordo).
     * 
     */
    @XmlEnumValue("subordo")
    SUBORDO("subordo"),

    /**
     * Abbreviation for the botanical taxonomic rank form species (lat: forma species).
     * 
     */
    @XmlEnumValue("superfamilia")
    SUPERFAMILIA("superfamilia"),

    /**
     * Higher Taxon Rank for the superfamily (lat. superfamilia).
     * 
     */
    @XmlEnumValue("familia")
    FAMILIA("familia"),

    /**
     * Higher Taxon Rank for the subfamily (lat. subfamilia).
     * 
     */
    @XmlEnumValue("subfamilia")
    SUBFAMILIA("subfamilia"),

    /**
     * Higher Taxon Rank for the tribe (lat. tribus).
     * 
     */
    @XmlEnumValue("tribus")
    TRIBUS("tribus"),

    /**
     * Higher Taxon Rank element for Higher Taxon Names that are in an unspecified genus-group in Zoology.
     * 
     */
    @XmlEnumValue("genusgroup")
    GENUSGROUP("genusgroup"),

    /**
     * Higher Taxon Rank element for Higher Taxon Names that are unranked.
     * 
     */
    @XmlEnumValue("unranked")
    UNRANKED("unranked");
    private final String value;

    HigherTaxonRankEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static HigherTaxonRankEnum fromValue(String v) {
        for (HigherTaxonRankEnum c: HigherTaxonRankEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
